Bug 72789 - [GTK] GTK+ 3 theming code does not use the GtkOrientable style class
Summary: [GTK] GTK+ 3 theming code does not use the GtkOrientable style class
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Martin Robinson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-11-19 00:07 PST by Martin Robinson
Modified: 2012-01-03 11:52 PST (History)
3 users (show)

See Also:


Attachments
Patch (7.16 KB, patch)
2011-11-19 00:10 PST, Martin Robinson
no flags Details | Formatted Diff | Diff
Fix for vertical slider thumbs (7.23 KB, patch)
2011-11-19 10:14 PST, Martin Robinson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Robinson 2011-11-19 00:07:00 PST
This causes horizontal sliders to render incorrectly when painting with the unico theme.
Comment 1 Martin Robinson 2011-11-19 00:10:48 PST
Created attachment 115936 [details]
Patch
Comment 2 Martin Robinson 2011-11-19 10:14:39 PST
Created attachment 115953 [details]
Fix for vertical slider thumbs
Comment 3 Carlos Garcia Campos 2011-11-21 00:02:40 PST
Comment on attachment 115953 [details]
Fix for vertical slider thumbs

I had in mind to review all the theming code, but never found the time. Patch looks good to me. Thanks!
Comment 4 Philippe Normand 2012-01-03 09:31:50 PST
Comment on attachment 115953 [details]
Fix for vertical slider thumbs

Great, thanks!
Comment 5 WebKit Review Bot 2012-01-03 11:52:03 PST
Comment on attachment 115953 [details]
Fix for vertical slider thumbs

Clearing flags on attachment: 115953

Committed r103951: <http://trac.webkit.org/changeset/103951>
Comment 6 WebKit Review Bot 2012-01-03 11:52:08 PST
All reviewed patches have been landed.  Closing bug.